<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateEmpDetailsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: emp_details
         */
        Schema::create('emp_details', function ($table) {
            $table->increments('id');
            $table->string('first_name', 255)->nullable();
            $table->string('last_name', 255)->nullable();
            $table->string('father_name', 255)->nullable();
            $table->string('mother_name', 255)->nullable();
            $table->string('f_occupation', 255)->nullable();
            $table->string('m_occupation', 255)->nullable();
            $table->string('guardian_name', 255)->nullable();
            $table->tinyInteger('mar_status')->nullable();
            $table->string('h_w_name', 255)->nullable();
            $table->string('h_w_occupation', 255)->nullable();
            $table->string('guardian_number', 255)->nullable();
            $table->integer('siblings')->nullable();
            $table->text('sibling_name')->nullable();
            $table->text('sibling_occupation')->nullable();
            $table->string('twe_place', 255)->nullable();
            $table->string('twe_ins', 255)->nullable();
            $table->decimal('twe_marks', 50)->nullable();
            $table->string('grad_place', 255)->nullable();
            $table->string('grad_ins', 255)->nullable();
            $table->decimal('grad_marks', 50)->nullable();
            $table->string('post_grad_place', 200)->nullable();
            $table->string('post_grad_ins', 200)->nullable();
            $table->string('past_grad_marks', 255)->nullable();
            $table->string('pro_place', 200)->nullable();
            $table->string('prof_ins', 255)->nullable();
            $table->decimal('prof_marks', 50)->nullable();
            $table->string('dip_place', 200)->nullable();
            $table->string('dip_ins', 255)->nullable();
            $table->decimal('dip_marks', 50)->nullable();
            $table->text('achievements')->nullable();
            $table->string('experience', 200)->nullable();
            $table->string('exp_feild', 100)->nullable();
            $table->string('company_name', 200)->nullable();
            $table->date('doj')->nullable();
            $table->date('dor')->nullable();
            $table->integer('salary')->nullable();
            $table->string('designation', 200)->nullable();
            $table->string('reason', 200)->nullable();
            $table->integer('blood_group')->nullable();
            $table->tinyInteger('is_ready')->nullable();
            $table->string('medical_history', 200)->nullable();
            $table->string('cause', 200)->nullable();
            $table->string('allergic_med', 200)->nullable();
            $table->string('wit_med', 200)->nullable();
            $table->text('aadhar_card')->nullable();
            $table->text('pan_card')->nullable();
            $table->text('uan')->nullable();
            $table->text('voter_card')->nullable();
            $table->string('bname', 50)->nullable();
            $table->integer('account_num')->nullable();
            $table->string('type_acc', 200)->nullable();
            $table->string('ifsc_code', 200)->nullable();
            $table->string('bank_name', 200)->nullable();
            $table->string('branch', 200)->nullable();
            $table->string('ref_name', 200)->nullable();
            $table->string('ref_num', 100)->nullable();
            $table->string('ref_designation', 200)->nullable();
            $table->string('ref_occupation', 200)->nullable();
            $table->string('portfolio', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('emp_details');
    }
}
