<?php

namespace Litecms\Empdetails;

use User;

class Empdetails
{
    /**
     * $emp_details object.
     */
    protected $emp_details;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Empdetails\Interfaces\EmpDetailsRepositoryInterface $emp_details)
    {
        $this->emp_details = $emp_details;
    }

    /**
     * Returns count of empdetails.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.emp_details.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->emp_details->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\EmpDetailsUserCriteria());
        }

        $emp_details = $this->emp_details->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('empdetails::' . $view, compact('emp_details'))->render();
    }
}
