<?php

namespace Litecms\Empdetails\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EmpDetailsTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Empdetails\Models\EmpDetails $emp_details)
    {
        return [
            'id'                => $emp_details->getRouteKey(),
            'key'               => [
                'public'    => $emp_details->getPublicKey(),
                'route'     => $emp_details->getRouteKey(),
            ], 
            'first_name'        => $emp_details->first_name,
            'last_name'         => $emp_details->last_name,
            'father_name'       => $emp_details->father_name,
            'mother_name'       => $emp_details->mother_name,
            'f_occupation'      => $emp_details->f_occupation,
            'm_occupation'      => $emp_details->m_occupation,
            'guardian_name'     => $emp_details->guardian_name,
            'mar_status'        => $emp_details->mar_status,
            'h_w_name'          => $emp_details->h_w_name,
            'h_w_occupation'    => $emp_details->h_w_occupation,
            'guardian_number'   => $emp_details->guardian_number,
            'siblings'          => $emp_details->siblings,
            'sibling_name'      => $emp_details->sibling_name,
            'sibling_occupation' => $emp_details->sibling_occupation,
            'twe_place'         => $emp_details->twe_place,
            'twe_ins'           => $emp_details->twe_ins,
            'twe_marks'         => $emp_details->twe_marks,
            'grad_place'        => $emp_details->grad_place,
            'grad_ins'          => $emp_details->grad_ins,
            'grad_marks'        => $emp_details->grad_marks,
            'post_grad_place'   => $emp_details->post_grad_place,
            'post_grad_ins'     => $emp_details->post_grad_ins,
            'past_grad_marks'   => $emp_details->past_grad_marks,
            'pro_place'         => $emp_details->pro_place,
            'prof_ins'          => $emp_details->prof_ins,
            'prof_marks'        => $emp_details->prof_marks,
            'dip_place'         => $emp_details->dip_place,
            'dip_ins'           => $emp_details->dip_ins,
            'dip_marks'         => $emp_details->dip_marks,
            'achievements'      => $emp_details->achievements,
            'experience'        => $emp_details->experience,
            'exp_feild'         => $emp_details->exp_feild,
            'company_name'      => $emp_details->company_name,
            'doj'               => $emp_details->doj,
            'dor'               => $emp_details->dor,
            'salary'            => $emp_details->salary,
            'designation'       => $emp_details->designation,
            'reason'            => $emp_details->reason,
            'blood_group'       => $emp_details->blood_group,
            'is_ready'          => $emp_details->is_ready,
            'medical_history'   => $emp_details->medical_history,
            'cause'             => $emp_details->cause,
            'allergic_med'      => $emp_details->allergic_med,
            'wit_med'           => $emp_details->wit_med,
            'aadhar_card'       => $emp_details->aadhar_card,
            'pan_card'          => $emp_details->pan_card,
            'uan'               => $emp_details->uan,
            'voter_card'        => $emp_details->voter_card,
            'bname'             => $emp_details->bname,
            'account_num'       => $emp_details->account_num,
            'type_acc'          => $emp_details->type_acc,
            'ifsc_code'         => $emp_details->ifsc_code,
            'bank_name'         => $emp_details->bank_name,
            'branch'            => $emp_details->branch,
            'ref_name'          => $emp_details->ref_name,
            'ref_num'           => $emp_details->ref_num,
            'ref_designation'   => $emp_details->ref_designation,
            'ref_occupation'    => $emp_details->ref_occupation,
            'portfolio'         => $emp_details->portfolio,
            'url'               => [
                'public'    => trans_url('empdetails/'.$emp_details->getPublicKey()),
                'user'      => guard_url('empdetails/emp_details/'.$emp_details->getRouteKey()),
            ], 
            'status'            => trans('app.'.$emp_details->status),
            'created_at'        => format_date($emp_details->created_at),
            'updated_at'        => format_date($emp_details->updated_at),
        ];
    }
}